Bug 637338 - lorax: traceback at install: TypeError: Gtk.Container.add() argument 1 must be gtk.Widget, not None
lorax: traceback at install: TypeError: Gtk.Container.add() argument 1 must b...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-24 21:18 EDT by John Reiser
Modified: 2013-07-04 08:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-18 07:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback from anaconda in /tmp/anaconda-tb-* (18.80 KB, text/plain)
2010-09-24 21:18 EDT, John Reiser
no flags Details
strace of /usr/bin/loadkeys (11.43 KB, text/plain)
2010-09-29 09:50 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2010-09-24 21:18:35 EDT
Created attachment 449549 [details]
traceback from anaconda in /tmp/anaconda-tb-*

Description of problem: Installing from a DVD of Fedora 14 composed by pungi+lorax gives a traceback near the transition to X11 graphics.


Version-Release number of selected component (if applicable):
anaconda-14.17.4
lorax tip as of 2010-08-12

How reproducible: every time


Steps to Reproduce:
1. compose install DVD for x86_64 of Fedora 14 using pungi+lorax
2. boot DVD; accept defaults until X11 black screen with arrow cursor
3.
  
Actual results: TypeError: Gtk.Container.add() argument 1 must be gtk.Widget, not None



Expected results: no traceback


Additional info:
Comment 1 John Reiser 2010-09-29 09:50:04 EDT
Created attachment 450483 [details]
strace of /usr/bin/loadkeys

If "anaconda" is invoked explicitly from Rescue mode, then the console has a line "cannot open file us" which probably refers to keyboard map.  Attached is the syscall trace from running
   strace -f -o "|gzip -c >/tmp/strace.out.gz" anaconda
and looking for the error message, then separating the 175-line portion that relates to execve("/usr/bin/loadkeys",...).
Comment 2 John Reiser 2010-09-29 09:54:01 EDT
Following the "cannot open file us" is another line "Unable to load title bar"; but I got lost tracking that one through the strace.

Note You need to log in before you can comment on or make changes to this bug.